﻿@using Ngochau.Models
@model List<Function>
<div class="leftside-menu">

    <!-- LOGO -->
    <a href="/cpanel/cpanel/index" class="logo text-center logo-light">
        <span class="logo-lg">
            @*<img src="/assets/images/logo.png" alt="" height="16">*@
            <h3 style="color: #fff;margin: 22px auto;">
                NGÔ CHÂU
            </h3>
        </span>
        <span class="logo-sm">
            @*<img src="/assets/images/logo_sm.png" alt="" height="16">*@
            <h3 style="color: #fff;margin: 22px auto;">
                NC
            </h3>
        </span>
    </a>

    <!-- LOGO -->
    <a href="index.html" class="logo text-center logo-dark">
        <span class="logo-lg">
           <h3 style="color: #fff;margin: 22px auto;">
                NGÔ CHÂU
            </h3>
        </span>
        <span class="logo-sm">
            <h3 style="color: #fff;margin: 22px auto;">
                NC
            </h3>
        </span>
    </a>

    <div class="h-100" id="leftside-menu-container" data-simplebar>
        <!--- Sidemenu -->
        <ul class="side-nav">

            <li class="side-nav-title side-nav-item">Navigation</li>
            @{
                @foreach (var item in Model.Where(x => string.IsNullOrEmpty(x.ParentId)).OrderBy(x=>x.SortOrder).ToList())
                {
                    var lstMenuChilds = Model.Where(x => x.ParentId == item.Id).OrderBy(x => x.SortOrder).ToList();
                    <li class="side-nav-item">
                        @{
                            if (lstMenuChilds.Count() > 0)
                            {
                                <a data-bs-toggle="collapse" href="#@item.Id" aria-expanded="false" aria-controls="@item.Id" class="side-nav-link">
                                    <i class="@item.IconCss"></i>
                                    <span> @item.Name </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="@item.Id">
                                    <ul class="side-nav-second-level">
                                        @foreach (var jitem in lstMenuChilds)
                                        {
                                            <li class="side-nav-item">
                                                <a href="@jitem.URL">
                                                    @jitem.Name
                                                </a>
                                            </li>
                                        }
                                    </ul>
                                </div>
                            }
                            else
                            {
                                <a href="@item.URL" class="side-nav-link">
                                    <i class="@item.IconCss"></i>
                                    <span> @item.Name </span>
                                </a>
                            }
                        }
                    </li>

                }
            }
            @*<li class="side-nav-title side-nav-item">Apps</li>*@
        </ul>
        <!-- End Sidebar -->
        <div class="clearfix"></div>
    </div>
    <!-- Sidebar -left -->

</div>